Bug 114128 - ipv6 duplication in modules.conf
Summary: ipv6 duplication in modules.conf
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-22 21:21 UTC by Sean Middleditch
Modified: 2014-03-17 02:41 UTC (History)
2 users (show)

Fixed In Version: 7.51-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-21 16:27:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sean Middleditch 2004-01-22 21:21:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
Every time my machine boots, the line
alias net-pf-10 ipv6
is added to /etc/modules.conf, even tho it is already present both
there and in /etc/modprobe.conf.

Version-Release number of selected component (if applicable):
fedora-devel 20040122

How reproducible:
Always

Steps to Reproduce:
1. enable IPv6
2. reboot several times

    

Actual Results:  noticed proliferation of net-pf-10 aliases in
/etc/modules.conf
    

Expected Results:  if this alias is needed, it shouldn't be added to
the modules.conf file if it is already present.

Additional info:

IPv6 is enabled with NETWORKING_IPV6=yes in /etc/sysconfig/network and
the following lines in /etc/sysconfig/network-scripts/ifcfg-eth0:
IPV6INIT=yes
IPV6ADDR=fec0::5/64
IPV6_AUTOCONF=yes

All packages are up-to-date as of 20030122.  Sorry for not having the
proper package, but I've no idea what is adding that line to the
system on bootup.  I have not modified any of the system startup
scripts, other than adding the above lines for IPv6 support.

Comment 1 Warren Togami 2004-04-19 03:40:39 UTC
Is this still an issue with FC development today?

Comment 2 Sean Middleditch 2004-04-19 03:54:09 UTC
elanthis@stargrazer:~$ cat /etc/modules.conf
alias eth0 via-rhine
alias sound-slot-0 snd-emu10k1
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L
>/dev/null 2>&1 || :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S
>/dev/null 2>&1 || :
alias char-major-195* nvidia
alias nfs4 nfs
alias rpc_pipefs sunrpc
alias rpc_svc_gss_pipefs sunrpc
alias usb-controller uchi-hcd
alias net-pf-10 ipv6
alias net-pf-10 ipv6
alias net-pf-10 ipv6
alias net-pf-10 ipv6
alias net-pf-10 ipv6
alias net-pf-10 ipv6
alias net-pf-10 ipv6
alias net-pf-10 ipv6
alias net-pf-10 ipv6
alias net-pf-10 ipv6

Unless the bug was fixed within the last week, then yes.  I'd reboot
to test it for sure, but that wouldn't be very convenient at the
moment... ^^;

Looking at line 41 in /etc/init.d/network, I think the bug is the
alias assignment.  After cleaning out /etc/modules.conf so there is
only one alias net-pf-10 ipv6 line, I get this:

elanthis@stargrazer:~$ /sbin/modprobe -c | awk '/^alias net-pf-10 / {
print $3 }'
ipv6
ipv6

So the alias assignment is equaling "ipv6\nipv6" which, thus, doesn't
match "ipv6" and thus the if clause is executed.

Comment 3 Phil Knirsch 2004-04-21 15:53:28 UTC
I'm reassigning this bug to initscripts as this is really something
that goes wrong there. None of the net tools touch/write
/etc/modules.conf (except system-config-network, but thats a
completely different beast ;-).

Read ya, Phil

Comment 4 Bill Nottingham 2004-04-21 16:27:10 UTC
Gack, that should have been nuked a long time ago.

Will be fixed in 7.51-1.


Note You need to log in before you can comment on or make changes to this bug.